# ParseHostname

Expects hostnames in messages when the special parser is disabled.

This parameter applies to imuxsock: Unix Socket Input Module.

Name:

  ParseHostname

Scope:

  input

Type:

  boolean

Default:

  input=off

Required?:

  no

Introduced:

  8.9.0

## Description

Equivalent to the `SysSock.ParseHostname` module parameter, but applies to the input that is being defined.

Added in version 8.9.0.

## Input usage

    input(type="imuxsock" parseHostname="on")

## See also

See also imuxsock: Unix Socket Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.